#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Tie
%define		pnam	CSV_File
%include	/usr/lib/rpm/macros.perl
Summary:	Tie::CSV_File Perl module - ties a csv-file to an array of arrays
Summary(pl.UTF-8):	Moduł Perla Tie::CSV_File - związanie pliku CSV z tablicą tablic
Name:		perl-Tie-CSV_File
Version:	0.24
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ce2ce8d542563731dbcd0ae7917946a4
URL:		http://search.cpan.org/dist/Tie-CSV_File/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Data-Compare
BuildRequires:	perl-Params-Validate
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-ManyParams
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Warn >= 0.05
BuildRequires:	perl-Text-CSV_XS
BuildRequires:	perl-Tie-File
BuildRequires:	perl-Tree-DAG_Node
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::CSV_File represents a regular csv file as a Perl array of arrays.
The first dimension of the array represents the line-nr in the
original file, the second dimension represents the col-nr. Both
indices are starting with 0. You can also access with the normal array
value, e.g. $data[-1][-1] stands for the last field in the last line,
or @{$data[1]} stands for the columns of the second line.

%description -l pl.UTF-8
Tie::CSV_File reprezentuje zwykły plik CSV jako perlową tablicę
tablic. Pierwszy wymiar reprezentuje numer linii w pliku, drugi wymiar
numer kolumny. Oba indeksy zaczynają się od 0. Można korzystać z
własności tablic, np. $data[-1][-1] oznacza ostatnie pole w ostatniej
linii, a @{$data[1]} oznacza kolumny z drugiej linii.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Tie-CSV_File.git;a=log;h=master

* Thu Nov 01 2018 Adam Gołębiowski <adamg@pld-linux.org> afd3e2a
- updated to 0.24

* Sun Nov 30 2014 Elan Ruusamäe <glen@delfi.ee> 75424fe
- use generic url

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6ab5eda
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b465f0e
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ba0311b
- formatting

* Thu Aug 26 2004 radek <radek@pld-linux.org> efa7e57
- release 2 to rebuild

* Thu Aug 26 2004 radek <radek@pld-linux.org> a81e67e
- BR: perl-Tree-DAG_Node

* Thu Aug 26 2004 radek <radek@pld-linux.org> c0d5b35
- BR: perl-Test-ManyParams

* Thu May 06 2004 ankry <ankry@pld-linux.org> 5c3641f
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> b35d4b8
- licence fix

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> d1d872a
- new bconds

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 3c71c0d
- cosmetics

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 803b11e
- updated to 0.21

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> ad9eeda
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> dfb7e08
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> e784596
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 6ba7b8d
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> c8e582c
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 6abf5b6
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 308b195
- use the __perl macro

